window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"3140","username":"Ergin Celik","comment":"<p>Other option found by @matthew_b, is to use a function in place of column name.<\/p>\n\n<p>It's useful if you need to filter by date when your date is formatted in columns.render property of datatable initialization (see moment.js library)<\/p>\n\n<p>Like that, it takes the formatted date as reference for grouping, not the original date that was formatted in ISO_8601.<\/p>\n\n<p>Plus, you can use <code>$.fn.dataTable.moment('DD\/MM\/YYYY');<\/code> before initialization if you want to able to sort by date.<\/p>\n\n<p>Example:<\/p>\n\n<pre><code class=\"multiline language-js\">\/\/FILTERING DATE BASED ON THIS FORMAT\n$.fn.dataTable.moment('DD\/MM\/YYYY');\n\n\/\/DATATABLE INITIALIZATION\n$('#myTable').DataTable({\n  data: someData,\n  columns: [\n    {\n      data: 'createdOn',\n      render: function(data, type, row, meta) {\n        return moment(data, moment.ISO_8601).format('DD\/MM\/YYYY');\n      }\n    }\n  ],\n  rowGroup: {\n    dataSrc: function(row) {\n      return moment(row.createdOn, moment.ISO_8601).format(`DD\/MM\/YYYY`);\n    }\n  }\n});\n\n<\/code><\/pre>\n","created":"22:28, Tue 23rd Jan 2018","parent":null,"version":"1.10.16","children":[]}] );
} );window._site.page = "reference\/option\/rowGroup.dataSrc";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = 'b86ba1c05c7c50864a3fcda785f75ec463514ace77e09c1e';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


